import request from '@/utils/request'

// 任务模板列表
export function apiTaskTemplateLists(params: any) {
    return request.get({ url: '/task_template.task_template/lists', params })
}

// 添加任务模板
export function apiTaskTemplateAdd(params: any) {
    return request.post({ url: '/task_template.task_template/add', params })
}

// 编辑任务模板
export function apiTaskTemplateEdit(params: any) {
    return request.post({ url: '/task_template.task_template/edit', params })
}

// 删除任务模板
export function apiTaskTemplateDelete(params: any) {
    return request.post({ url: '/task_template.task_template/delete', params })
}

// 任务模板详情
export function apiTaskTemplateDetail(params: any) {
    return request.get({ url: '/task_template.task_template/detail', params })
}